## analitza 25.07.90

=== debian/changelog ===
analitza (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:25:38 +0100

## analitza 25.08.0

=== analitzawidgets/CMakeLists.txt ===
find_path(IEEEFP_DIR ieeefp.h)
if(IEEEFP_DIR)
    include_directories(${IEEEFP_DIR})
    add_definitions(-DHAVE_IEEEFP_H)
endif(IEEEFP_DIR)

set(analitzaplot_SRCS
    plotsview2d.cpp
    plotsview3d_es.cpp
    expressionedit.cpp
)

add_library(AnalitzaWidgets ${analitzaplot_SRCS})
target_link_libraries(AnalitzaWidgets
    PUBLIC
        Qt::Widgets
        Analitza
        AnalitzaPlot
        AnalitzaGui
    PRIVATE
        Qt::Svg
        Qt6::OpenGLWidgets
)

set_target_properties(AnalitzaWidgets PROPERTIES VERSION ${ANALITZA_VERSION} SOVERSION ${ANALITZA_SOVERSION} )

generate_export_header(AnalitzaWidgets)

install(TARGETS AnalitzaWidgets EXPORT AnalitzaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/analitzawidgets_export.h
    plotsview2d.h
    expressionedit.h
    plotsview3d_es.h

    DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR}/analitzagui/ COMPONENT Devel
)

=== debian/changelog ===
analitza (4:25.08.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 16:47:01 +0000

analitza (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:49:27 +0000

analitza (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:30:41 +0000

analitza (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:45:43 +0000

analitza (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:37:00 +0000

analitza (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:23:59 +0000

analitza (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:48:29 +0000

analitza (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:52:27 +0000

analitza (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:43:59 +0000

analitza (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:41:23 +0000

analitza (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:42:08 +0000

analitza (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:14:07 +0000

analitza (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:52:13 +0000

analitza (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:05:54 +0000

analitza (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:41:02 +0000

analitza (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:09:21 +0000

analitza (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:54:52 +0000

analitza (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:51:03 +0000

analitza (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:32:23 +0000

analitza (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 15:07:26 +0000

analitza (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:09:17 +0000

analitza (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 17:09:13 +0000

analitza (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:39:05 +0000

analitza (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:24:33 +0000

analitza (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:05:14 +0000

analitza (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:27:16 +0000

analitza (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:52:34 +0000

analitza (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:18:50 +0000

analitza (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:59:44 +0000

analitza (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:04:08 +0000

analitza (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:26:44 +0000

analitza (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:00:21 +0000

analitza (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:28:04 +0000

analitza (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:15:46 +0000

analitza (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:42:06 +0000

analitza (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:35:09 +0000

analitza (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:46:47 +0000

analitza (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:04:48 +0000

analitza (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:55:43 +0000

analitza (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:44:11 +0000

analitza (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:32:45 +0000

analitza (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:39 +0000

analitza (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:26:46 +0000

analitza (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:47:22 +0000

analitza (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:19:54 +0000

analitza (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:50:39 +0000

analitza (4:21.04.0-0neon) focal; urgency=medium

  * New release



## analitza 25.08.1

=== debian/changelog ===
analitza (4:25.08.1-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 13:15:02 +0000

analitza (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:15:08 +0000

=== debian/control ===
Source: analitza
Section: libs
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libeigen3-dev,
               libglew-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.6.2
Homepage: http://edu.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/analitza.git
Vcs-Browser: https://invent.kde.org/neon/kde/analitza
Maintainer: Neon CI <neon@kde.org>

Package: analitza-common
Architecture: all
Depends: ${misc:Depends}
Description: common files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package is part of the KDE education module.

Package: libanalitza-dev
Architecture: any
Section: libdevel
Depends: libanalitza9 (= ${binary:Version}),
         libanalitzagui9 (= ${binary:Version}),
         libanalitzaplot9 (= ${binary:Version}),
         libanalitzawidgets9 (= ${binary:Version}),
         qml6-module-org-kde-analitza (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: development files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package contains the development files, used to build applications that
 use Analitza.
 .
 This package is part of the KDE education module.

Package: libanalitza9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libanalitza8 (<< 4:24.05.1)
Replaces: libanalitza8 (<< 4:24.05.1)
Description: library to work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libanalitzagui8 (<< 4:24.05.1)
Replaces: libanalitzagui8 (<< 4:24.05.1)
Description: library to work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitzaplot9
Architecture: any
Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
Breaks: libanalitzaplot8 (<< 4:24.05.1)
Replaces: libanalitzaplot8 (<< 4:24.05.1)
Description: library to work with mathematical expressions - plotting bits
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

Package: libanalitzawidgets9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libanalitzawidgets8 (<< 4:24.05.1)
Replaces: libanalitzawidgets8 (<< 4:24.05.1)
Description: library to work with mathematical expressions - widgets
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: qml6-module-org-kde-analitza
Architecture: any
Depends: analitza-common,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to work with mathematical expressions - QML library
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, dbus (>= 1.8), kinit, xauth, xvfb, @, @builddeps@
Restrictions: rw-build-tree

Tests: acc
Depends: dh-acc, exuberant-ctags, @, @builddeps@
Restrictions: allow-stderr

## analitza 25.08.1+p24.04+vstable+git20250909.1315

=== debian/changelog ===
analitza (4:25.08.1+p24.04+vstable+git20250909.1315-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 13:15:33 +0000

## analitza 25.08.1+p24.04+vstable+git20250922.0418

=== debian/changelog ===
analitza (4:25.08.1+p24.04+vstable+git20250922.0418-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 04:18:08 +0000

## analitza 25.08.2

=== debian/changelog ===
analitza (4:25.08.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 07:27:29 +0000

analitza (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:55:31 +0000

## analitza 25.08.2+p24.04+vstable+git20251015.0808

=== debian/changelog ===
analitza (4:25.08.2+p24.04+vstable+git20251015.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:08:11 +0000

## analitza 25.08.2+p24.04+vstable+git20251019.0157

=== debian/changelog ===
analitza (4:25.08.2+p24.04+vstable+git20251019.0157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:57:13 +0000

## analitza 25.08.3

=== debian/changelog ===
analitza (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:09:48 +0000

analitza (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:37:12 +0100

analitza (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:49:36 +0100

analitza (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:18:42 +0100

=== debian/control ===
Source: analitza
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               extra-cmake-modules (>= 6.3.0~),
               libeigen3-dev (>= 3.0~),
               libglew-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.5.2~),
               qt6-declarative-dev (>= 6.5.2~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.2~),
               qt6-tools-dev (>= 6.5.2~),
               qt6-tools-dev-tools (>= 6.5.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://api.kde.org/stable/kdeedu-apidocs/analitza/html/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
Rules-Requires-Root: no

Package: analitza-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: common files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package is part of the KDE education module.

Package: libanalitza-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Conflicts: kalgebra-dev,
Depends: qml6-module-org-kde-analitza (= ${binary:Version}),
         qt6-base-dev (>= 6.5.2~),
         ${misc:Depends},
         ${so:Depends},
Description: development files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package contains the development files, used to build applications that
 use Analitza.
 .
 This package is part of the KDE education module.

Package: libanalitza9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libanalitza8 (<< 4:24.08.2)
Replaces: libanalitza8 (<< 4:24.08.2)
Description: library to work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libanalitzagui8 (<< 4:24.08.2)
Replaces: libanalitzagui8 (<< 4:24.08.2)
Description: library to work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitzaplot9
Architecture: any
Multi-Arch: same
Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends},
Breaks: libanalitzaplot8 (<< 4:24.08.2)
Replaces: libanalitzaplot8 (<< 4:24.08.2)
Description: library to work with mathematical expressions - plotting bits
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

Package: libanalitzawidgets9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libanalitzawidgets8 (<< 4:24.08.2)
Replaces: libanalitzawidgets8 (<< 4:24.08.2)
Description: library to work with mathematical expressions - widgets
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides several UI components
 based on QWidget and QML.
 .
 This package is part of the KDE education module.

Package: qml6-module-org-kde-analitza
Architecture: any
Multi-Arch: same
Depends: analitza-common,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-analitza (<< 4:24.08.2)
Replaces: qml-module-org-kde-analitza (<< 4:24.08.2)
Description: library to work with mathematical expressions - QML library
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the QML components
 for some of the UI widgets.
 .
 This package is part of the KDE education module.

## analitza 25.11.80

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
set(ANALITZA_VERSION "9.0.0")
project(Analitza VERSION ${ANALITZA_VERSION})

set(QT_MIN_VERSION "6.5.2")
set(KF_MIN_VERSION "6.3.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

#Checking whether we can compile calgebra


include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(CheckIncludeFiles)
include(CheckLibraryExists) #FindCurses seems to need that on the CI
include(ECMPoQmTools)
include(ECMQmlModule)
include(ECMDeprecationSettings)
find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS
    Widgets
    Xml
    Svg
    Test
    Qml
    Quick
    PrintSupport
    OpenGLWidgets
)
set(ANALITZA_INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/Analitza6")

ecm_setup_version(${ANALITZA_VERSION} VARIABLE_PREFIX ANALITZA
                                      VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/analitza_version.h"
                                      PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Analitza6ConfigVersion.cmake")

find_package(Eigen3 CONFIG) # find and setup Eigen3 if available
set(HAVE_EIGEN3 ${Eigen3_FOUND})

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
ecm_set_disabled_deprecation_versions(QT 5.12.2
    KF 5.102
)


add_subdirectory(analitza)
add_subdirectory(analitzaplot)
add_subdirectory(analitzagui)
add_subdirectory(analitzawidgets)
add_subdirectory(declarative)

ecm_install_po_files_as_qm(poqm)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Analitza6")
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/Analitza6Config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza6Config.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  KDE_INSTALL_INCLUDEDIR CMAKE_INSTALL_PREFIX
)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config-analitza.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-analitza.h)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza6Config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza6ConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT AnalitzaTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Analitza6Targets.cmake NAMESPACE KF6:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/analitza_version.h
  DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== analitza/CMakeLists.txt ===
add_subdirectory(tests)

set(analitza_SRCS

    expressionstream.cpp
	polynomial.cpp
	importqobjectmetatype.cpp
	builtinmethods.cpp
	providederivative.cpp
	abstractexpressiontransformer.cpp
	expression.cpp
	abstractexpressionvisitor.cpp
	stringexpressionwriter.cpp
	mathmlexpressionwriter.cpp
	mathmlpresentationexpressionwriter.cpp
	htmlexpressionwriter.cpp
	analyzer.cpp
	container.cpp
	operator.cpp
	operations.cpp
	variables.cpp
	object.cpp
	value.cpp
	variable.cpp
	vector.cpp
	list.cpp
	apply.cpp
	customobject.cpp
	matrix.cpp
	
	expressiontype.cpp
	expressiontypechecker.cpp
	
	expressiontable.cpp	#generated
	expressionparser.cpp	#   ''
	explexer.cpp
	abstractlexer.cpp
	mathmlpresentationlexer.cpp
	analitzautils.cpp
	substituteexpression.cpp
	transformation.cpp
	
	commands/realpower.cpp
	commands/listcommands.cpp
	commands/vectorcommands.cpp
	commands/matrixcommands.cpp
	commands/blockmatrixcommands.cpp
	commands/matrixqueries.cpp
	commands/combinatronics.cpp
)

ecm_create_qm_loader(analitza_SRCS analitza_qt)

add_library(Analitza ${analitza_SRCS})
target_link_libraries(Analitza PUBLIC Qt::Core PRIVATE Qt::Xml)

target_include_directories(Analitza INTERFACE "$<INSTALL_INTERFACE:${ANALITZA_INCLUDE_INSTALL_DIR}>")

set_target_properties(Analitza PROPERTIES VERSION ${ANALITZA_VERSION} SOVERSION ${ANALITZA_SOVERSION} )


if(Eigen3_FOUND)
    target_sources(Analitza PRIVATE commands/eigencommands.cpp)
    target_link_libraries(Analitza PRIVATE Eigen3::Eigen)
endif()

generate_export_header(Analitza EXPORT_FILE_NAME analitzaexport.h)

install(TARGETS Analitza EXPORT AnalitzaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES 
	${CMAKE_CURRENT_BINARY_DIR}/analitzaexport.h
	abstractlexer.h
	analyzer.h
	analitzautils.h
	expression.h
	abstractexpressionvisitor.h
	object.h
	operations.h
	operator.h
	variable.h
	value.h
	variables.h
	vector.h
	apply.h
	list.h
	customobject.h
	container.h
	matrix.h
	expressiontype.h
	builtinmethods.h
	importqobjectmetatype.h
	expressionstream.h
	DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR}/analitza/ COMPONENT Devel)

=== debian/changelog ===
analitza (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:48:22 +0000

## analitza 25.11.90

=== debian/changelog ===
analitza (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:56:37 +0000

## analitza 25.12.0

=== debian/changelog ===
analitza (4:25.12.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 16:12:37 +0000

analitza (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:41:41 +1000

analitza (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:45:08 +1000

## analitza 25.12.0+p24.04+vstable+git20251208.2140

=== debian/changelog ===
analitza (4:25.12.0+p24.04+vstable+git20251208.2140-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 21:40:24 +0000

## analitza 25.12.0+p24.04+vstable+git20251226.0147

=== debian/changelog ===
analitza (4:25.12.0+p24.04+vstable+git20251226.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 01:47:23 +0000

## analitza 25.12.1

=== debian/changelog ===
analitza (4:25.12.1-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 00:22:28 +0000

analitza (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:32:51 +1000

## analitza 25.12.1+p24.04+vstable+git20260107.0043

=== debian/changelog ===
analitza (4:25.12.1+p24.04+vstable+git20260107.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 00:43:06 +0000

## analitza 25.12.1+p24.04+vunstable+git20260107.0047

=== debian/changelog ===
analitza (4:25.12.1+p24.04+vunstable+git20260107.0047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 00:47:48 +0000

## analitza 25.12.2

=== debian/changelog ===
analitza (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:15:51 +0000

analitza (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:55:00 +0000

analitza (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:11:25 +0000

## analitza 25.12.2+p24.04+vstable+git20260206.0830

=== debian/changelog ===
analitza (4:25.12.2+p24.04+vstable+git20260206.0830-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 08:30:18 +0000

analitza (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:49:28 +0000
